##  for Mageia 9  ##

%define major   349
%define libname %mklibname placebo %{major}
%define devname %mklibname placebo -d

## turn off debuginfo package
%define debug_package %{nil}

Name:     libplacebo
Summary:  Reusable library for GPU-accelerated video/image rendering primitives
Version:  7.349.0
Release:  1.np9
License:  LGPLv2.1+
Group:    System/Libraries
URL:      https://github.com/haasn/libplacebo

Source0: https://code.videolan.org/videolan/libplacebo/-/archive/v%{version}/libplacebo-v%{version}.tar.bz2
Patch0: libplacebo-6.338-demos-buildfix.patch

BuildRequires: meson
BuildRequires: glad2
BuildRequires: glslc
BuildRequires: glslang-devel
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(glfw3)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libunwind)
BuildRequires: pkgconfig(libxxhash)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: pkgconfig(shaderc)
BuildRequires: pkgconfig(SPIRV-Tools)
BuildRequires: pkgconfig(vulkan)
BuildRequires: python3-mako

%description
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing shaders, focusing on both quality and performance.


%package -n %{libname}
Summary: Video rendering library
Group:   System/Libraries

%description -n %{libname}
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing shaders, focusing on both quality and performance.


%package -n %{devname}
Summary: Development files for the %{name} video rendering library
Group:   Development/Libraries
Requires: %{libname} = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Provides: placebo-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications that use %{name}.

# -------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}


%build
%meson \
-Dvulkan=enabled \
-Dopengl=enabled \
-Dshaderc=enabled \
-Dlcms=enabled \
-Dglslang=disabled \
-Dd3d11=disabled \
-Dlibdovi=disabled

%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

# -------------------------------------------------

%files
%doc README.md
%{_bindir}/plplay

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libplacebo.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libplacebo/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Sep 11 2024 tomcat <> 7.349.0-1.np9
- update to 7.349.0

* Fri Apr 19 2024 tomcat <> 6.338.2-3.np9
- use systen installed glad2
    * add BR:glad2
    * update Source0 (do not include third parties)

* Thu Apr 18 2024 tomcat <> 6.338.2-2.np9
- fix BuildRequires

* Tue Feb 06 2024 tomcat <> 6.338.2-1.np9
- initial package for Mageia (needed for mpv)
- Source0 is included the all third parties
